SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Device (Router/Bridge/Hub)  >   Belkin Modem/Router Vendors:   Belkin Components
Belkin Play N750 DB Wireless Dual-Band N+ Router Buffer Overflow Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1031210
SecurityTracker URL:  http://securitytracker.com/id/1031210
CVE Reference:   CVE-2014-1635   (Links to External Site)
Date:  Nov 12 2014
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): firmware prior to F9K1103_WW_1.10.17m
Description:   A vulnerability was reported in the Belkin Play N750 DB Wireless Dual-Band N+ Router. A remote user can execute arbitrary code on the target system.

A remote user can send a specially crafted request to trigger a buffer overflow in 'login.cgi' in MiniHttpdand and execute arbitrary code on the target system. The code will run with root privileges.

Marco Vaz reported this vulnerability.

Impact:   A remote user can execute arbitrary code on the target device with root privileges.
Solution:   The vendor has issued a firmware fix (F9K1103_WW_1.10.17m).

The vendor's advisory is available at:

http://www.belkin.com/us/support-article?articleNum=4831

Vendor URL:  www.belkin.com/us/support-article?articleNum=4831 (Links to External Site)
Cause:   Boundary error

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC